/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of appreports which is released under GPL-3.0-or-later.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, July 2020
 */

// @ts-nocheck

import Vue from 'vue';
import VueRouter from 'vue-router';
import Home from '../views/Home.vue';
import About from '../views/About.vue';

Vue.use (VueRouter);

const routes = [
  {
    path:      '/',
    name:      'Home',
    component: Home
  },
  {
    path:      '/about',
    name:      'About',
    component: About
  }
];

const router = new VueRouter ({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
});

export default router;
